{pkgs, ...}: {
    home-manager.enable = true;

    vim = {
        enable = true;
        defaultEditor = true;
    };

    zsh = {
        enable = true;
        enableSyntaxHighlighting = true;

        oh-my-zsh = {
            enable = true;
            plugins = [ "sudo" "git" "golang" "thefuck" "kubectl" "emoji" "pip" "npm" "yarn" "vscode" ];
            theme = "agnoster";
        };
    };

    waybar = {
        enable = true;
        systemd.enable = true;
        # see https://github.com/theCode-Breaker/riverwm/blob/main/waybar/river/config-river
        # https://blog.cascade.moe/posts/hyprland-configure/
        settings = {
            mainBar = import ./config/waybar.nix;
        };

        style = import ./config/waybar-style.nix;
    };

    kitty = {
        enable = true;
        font = pkgs.

        shellIntegration = {
            enableZshIntegration = true;
        };
    };

    rbw = {
        enable = true;
        settings = {
            base_url = "https://pass.sense-t.eu.org";
            email = "sense-t@sense-t.eu.org";
            lock_timeout = 300;
            pinentry = "gnome3";
        };
    };
}